#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>

#define POTENTIOMETER_PIN A0
#define LED_PIN 3

RF24 wireless(10, 9);
const byte addresses [][6] = {"node1", "node2"};
int ledCount = 0;
bool isDark = false;

void setup() {
  pinMode(LED_PIN, OUTPUT);
  wireless.begin();
  wireless.setChannel(125);
  wireless.openWritingPipe(addresses[0]);
  wireless.openReadingPipe(1, addresses[1]);
  wireless.setPALevel(RF24_PA_MIN);
  wireless.startListening();
}

void loop() {
  int value = analogRead(POTENTIOMETER_PIN) / 171;

  if (value != ledCount) {
    ledCount = value;
    wireless.stopListening();
    wireless.write(&ledCount, sizeof(ledCount));
    delay(100);
    wireless.startListening();
  }

  if (wireless.available()) {
    wireless.read(&isDark, sizeof(isDark));
    digitalWrite(LED_PIN, isDark);
  }
  delay(10);
}
