#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>

#define PHOTORESISTOR_PIN A0
#define THRESHOLD 550

RF24 wireless(48, 49);
const byte addresses [][6] = {"node1", "node2"};
int ledPins[] = {6, 5, 4, 3, 2};
int ledCount = 0;
bool isDark = false;

void setup() {
  for (int i = 0; i < 5; i++) {
    pinMode(ledPins[i], OUTPUT);
  }
  wireless.begin();
  wireless.setChannel(125);
  wireless.openWritingPipe(addresses[1]);
  wireless.openReadingPipe(1, addresses[0]);
  wireless.setPALevel(RF24_PA_MIN);
  wireless.startListening();
}

void loop() {
  bool value = analogRead(PHOTORESISTOR_PIN) < THRESHOLD;

  if (value != isDark) {
    isDark = value;
    wireless.stopListening();
    wireless.write(&isDark, sizeof(isDark));
    delay(100);
    wireless.startListening();
  }

  if (wireless.available()) {    
    wireless.read(&ledCount, sizeof(ledCount));
    for (int i = 0; i < 5; i++) {
      digitalWrite(ledPins[i], i < ledCount);
    }      
  }
  delay(10); 
}
